DeepFellow DOCS

List the project's ontology changes

GET
/v1/graph/ontology/changes

List the project's ontology changes, oldest first.

Authorization

headerAuthorizationBearer <token>

Query Parameters

status?|null

Header Parameters

OpenAI-Organization?|

Organization Id from OpenAi compatible endpoint. Required to organization access or project access (with OpenAI-Project header) when logged as User or Admin User.

OpenAI-Project?|

Project Id from OpenAi compatible endpoint. Required to project access for organization api key or User / Admin User access with OpenAI-Organization

Response Body

Successful Response

application/json
  1. response
[index: integer]?

API-facing view of one ontology change.

Example Request
curl -X GET 'https://deepfellow-server-host/v1/graph/ontology/changes'
Example Response
[  {    "id": "string",    "project_id": "string",    "op": "add_entity",    "payload": {      "op": "add_entity",      "label": "string",      "description": "string",      "properties": [        {          "name": "string",          "type": "STRING",          "description": "string"        }      ]    },    "risk": "migrating",    "origin": "discovery",    "backfill": "none",    "status": "proposed",    "inverse_of": "string",    "data_not_restored": false,    "dry_run": {      "chunks_in_scope": 0,      "affected_nodes": 0,      "affected_edges": 0    },    "result": {      "llm_calls": 0,      "failed_chunks": [        "string"      ],      "nodes_updated": 0,      "edges_updated": 0    },    "error": "string",    "applied_version": 0,    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z"  }]

We use cookies on our website. We use them to ensure proper functioning of the site and, if you agree, for purposes such as analytics, marketing, and targeting ads.